<?php

/**
 * @file
 * Contains \Drupal\ultimenu\Plugin\Derivative\UltimenuBlock.
 */

namespace Drupal\ultimenu\Plugin\Derivative;

use Drupal\Component\Plugin\Derivative\DeriverBase;

/**
 * Provides block plugin definitions for ultimenu categories.
 *
 * @see \Drupal\ultimenu\Plugin\Block\UltimenuBlock
 */
class UltimenuBlock extends DeriverBase {

  /**
   * {@inheritdoc}
   */
  public function getDerivativeDefinitions($base_plugin_definition) {
    // Provide a block plugin definition for each ultimenu.
    foreach (ultimenu_get_blocks() as $key => $name) {
      $menu_key = 'ultimenu-' . $key;
      $this->derivatives[$menu_key] = $base_plugin_definition;
      $this->derivatives[$menu_key]['admin_label'] = t("Ultimenu: @name", array('@name' => $name));
      // $this->derivatives[$menu_key]['config_dependencies']['content'] = array(
      //  $block_content->getConfigDependencyName()
      // );
    }
    return parent::getDerivativeDefinitions($base_plugin_definition);
  }
}
